KServerSocket Class Reference

`#include <ksock.h>`

Inherits QObject.

## Public Slots

virtual void | slotAccept (int)

## Signals

void | accepted (KSocket *s)

## Public Member Functions

| KServerSocket (unsigned short int _port, bool _bind=true)
| KServerSocket (const char *_path, bool _bind=true)
virtual | ~KServerSocket ()
bool | bindAndListen ()
int | socket () const
unsigned short int | port ()

## Protected Member Functions

bool | init (unsigned short int)
bool | init (const char *_path)

## Protected Attributes

int | sock

## Detailed Description

Monitors a port for incoming TCP/IP connections.

Deprecated:
  This class is deprecated and will be removed in the future. Please use the classes in KNetwork for new programs. In special, this class is replaced by KNetwork::KStreamSocket and KNetwork::KServerSocket.

You can use a KServerSocket to listen on a port for incoming connections. When a connection arrived in the port, a KSocket is created and the signal accepted is raised. Make sure you always connect to this signal. If you don't the ServerSocket will create new KSocket's and no one will delete them!

If socket() is -1 or less the socket was not created properly.

Author
  Torben Weis weis@.nosp@m.stud.nosp@m..uni-.nosp@m.fran.nosp@m.kfurt.nosp@m..de

Definition at line 250 of file ksock.h.

## Constructor & Destructor Documentation

KServerSocket::KServerSocket | ( | unsigned short int | _port,
|  | bool | _bind = `true`
| ) |  |

Constructor.

Parameters

  _port | the port number to monitor for incoming connections.
  _bind | if false you need to call bindAndListen yourself. This gives you the opportunity to set options on the socket.

Definition at line 296 of file ksock.cpp.

KServerSocket::KServerSocket | ( | const char * | _path,
|  | bool | _bind = `true`
| ) |  |

Creates a UNIX domain server socket.

Parameters

  _path | path used for the socket.
  _bind | if false you need to call bindAndListen yourself. This gives you the opportunity to set options on the socket.

Definition at line 287 of file ksock.cpp.

KServerSocket::~KServerSocket | ( |  | ) |

virtual

Destructor.

Closes the socket if it was not already closed.

Definition at line 423 of file ksock.cpp.

## Member Function Documentation

void KServerSocket::accepted | ( | KSocket * | s | ) |

signal

A connection has been accepted.

It is your task to delete the KSocket if it is no longer needed.

WARNING: this signal is always emitted, even if you don't connect anything to it. That would mean memory loss, because the KSockets created go to oblivion.

Parameters

  s | the socket that accepted

bool KServerSocket::bindAndListen | ( |  | ) |

Binds the socket and start listening.

This should only be called once when the constructor was called with _bind false. On error the socket will be closed.

Returns
  true on success. false on error.

Definition at line 333 of file ksock.cpp.

unsigned short int KServerSocket::port | ( |  | ) |

Returns the port number which is being monitored.

Returns
  the port number

Definition at line 357 of file ksock.cpp.

void KServerSocket::slotAccept | ( | int |  | ) |

virtual slot

Called when someone connected to our port.

Definition at line 404 of file ksock.cpp.

int KServerSocket::socket | ( |  | ) | const

inline

Returns the file descriptor associated with the socket.

Returns
  the file descriptor, -1 when an error occurred during construction or bindAndListen

Definition at line 290 of file ksock.h.

## Member Data Documentation

int KServerSocket::sock

protected

The file descriptor for this socket.

sock may be -1. This indicates that it is not connected.

Definition at line 335 of file ksock.h.

The documentation for this class was generated from the following files:

- ksock.h
- ksock.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys